/* *************************************************************************************************
 * Project:               UART_Fingerprint_Sensor_Ar
 * Author:                Waveshare Team
 * Module:                UART Fingerprint Senosr (C)
 * Development Board:     Waveshare UNO PLUS (Compatible with Arduino UNO R3)
 * Working Voltage:       3.3V(Could only work with 3.3V Arduino board)
 * Pins connection:       VCC:3.3V; GND:GND; RX: D11; TX:D10; RST: D9; WAKE: D8
 * *************************************************************************************************
 * Target: Add fingerprint, fingerprint compareing, delete fingerprint
 * Version: V1.0
 * Modification: 
 * *************************************************************************************************
 * Note: This examples is provided by Waveshare Team, used for Waveshare UART Fingerprint Sensor (C). 
 * It is free to copy and modify this example.The only requirement is that you should note the original 
 * provider (Waveshare) in your codes.
 * *************************************************************************************************
 */

 #include<SoftwareSerial.h>
 #include"finger.h"
 
void setup() {
  // Open serial communications (connect to PC) and wait for port to open
 Serial.begin(115200);
 // waiting for serial port to connect, needed for native USB port only
 while(!Serial); 
 pinMode(13, OUTPUT);
 digitalWrite(13, LOW);
 //Configure the RST and Wakeup pins
 pinMode(Finger_RST_Pin, OUTPUT);
 digitalWrite(Finger_RST_Pin, HIGH);
 
 pinMode(Finger_WAKE_Pin, INPUT);

 Finger_SoftwareSerial_Init(); 
 delay( 1000);
 
 Finger_Wait_Until_OK();
}

void loop() {
  // put your main code here, to run repeatedly:
  Analysis_PC_Command();
  if(Finger_SleepFlag == 1)
  {
    Auto_Verify_Finger();
  } 
}
